package cn.com.poc.agent_application.service;

import cn.com.poc.agent_application.query.PublishAgentApplicationQueryCondition;
import cn.com.poc.agent_application.query.PublishAgentApplicationQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationPublishEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAgentApplicationPublishService extends BaseService {

    BizAgentApplicationPublishEntity get(java.lang.Integer id) throws Exception;

    BizAgentApplicationPublishEntity getByAgentId(String agentId);

    List<BizAgentApplicationPublishEntity> findByExample(BizAgentApplicationPublishEntity example, PagingInfo pagingInfo) throws Exception;

    BizAgentApplicationPublishEntity save(BizAgentApplicationPublishEntity entity) throws Exception;

    BizAgentApplicationPublishEntity update(BizAgentApplicationPublishEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    void deleteByAgentId(String agentId) throws Exception;

    List<PublishAgentApplicationQueryItem> query(PublishAgentApplicationQueryCondition condition, PagingInfo pagingInfo) throws Exception;
}